Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1502725 - Org-Admin cannot create user through UI/CLI if they have more than one organization assigned
Summary: Org-Admin cannot create user through UI/CLI if they have more than one organi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-16 14:25 UTC by Marek Hulan
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version: foreman-1.15.6.26-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1489367
Environment:
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21343 None None None 2017-10-16 14:25:11 UTC
Red Hat Bugzilla 1510064 None None None Never
Red Hat Bugzilla 1517711 None None None Never

Internal Links: 1510064 1517711

Comment 1 Marek Hulan 2017-10-16 14:26:24 UTC
This should allow users being org admin of 2 or more orgs.

Comment 2 pm-sat@redhat.com 2017-10-16 16:17:46 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 pm-sat@redhat.com 2017-10-16 16:17:49 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Marek Hulan 2017-10-30 15:54:50 UTC
Could we please get QACK?

Comment 6 pm-sat@redhat.com 2017-12-16 15:18:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21343 has been resolved.

Comment 8 Renzo Nuccitelli 2018-01-17 12:55:44 UTC
Verified on Satellite 6.3 snap 32 on UI and CLI:

# hammer -u orgadmin -p changeme user create --login user --mail user@email.com --password password --auth-source-id 1
Could not create the user:
  Organization ids Invalid organizations selection, you must select at least one of yours and have 'assign_organizations' permission.
# hammer -u orgadmin -p changeme user create --login user --mail user@email.com --password password --auth-source-id 1 --organization-ids 3
User [user] created
# hammer -u orgadmin -p changeme user create --login user2 --mail user@email.com --password password --auth-source-id 1 --organization-ids 3,4
User [user2] created

Comment 9 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.